$Id: CHANGES.jp 1630 2009-06-28 22:43:50Z tacahi $

2009-06-29  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr4-jp-extended-1.2をリリースします。

	* リリース処理: release_jp.phpの更新のルールが正しく動作していなかっ
	  たのを修正しました。

	* リリース処理: リリースのファイルの作成にpaxコマンドに代えて、tar
	  コマンドを使用するようにしました。

2009-06-28  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr4-jp-extended-1.1をリリースします。

2009-06-23  Takahiro Kambe  <tacahi>

	* 誤って実行すると危険な droptables.phpを削除することとし、その
	  結果空となる public_html/admin/install/tools 共々削除しました。

2009-06-12 Kazuko Tsuchitani <tsuchi000>

	* ファイル管理プラグイン(filemgmt)の自動タグでURLリライトが動作しない
	  不具合を修正。全文表示のリンクをURLリライトに対応させました。

2009-06-08  Takahiro Kambe  <tacahi>

	* Geeklog 1.5.2のリリースで削除され、日本語基本版でも既に削除されて
	  いる、public_html/admin/install/addindex.php を削除しました。

2009-06-07  Takahiro Kambe  <tacahi>

	* 空のディレクトリ public_html/layout/WAIproCSS/images/custom に、
	  空の index.html を置きました。

2009-06-07  Takahiro Kambe  <tacahi>

	* 空のディレクトリ public_html/layout/mobile/images/droplinemenuと
	  public_html/layout/mobile_3g/images/droplinemenu は不要なので削除
	  しました。

2009-05-25  Masuko Koeda  <milk851>

	* WAIproCSSのfooter.thtmlの不具合を修正し、
          バージョンを2.3.3にしました。

2009-04-30  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr4-jp-extended-1.0をリリースします。

2009-04-24  mystral-kk <mystral-kk>

	* custom_mail_jp: 「ヘッダのエンコード方法」に ICONV_MIME_ENCODE を
	  指定した場合に、ヘッダの先頭にコロンが付加される問題を修正しました。

2009-04-22  mystral-kk <mystral-kk>

	* custom_mail_jp: セキュリティリリースでバージョン番号の判定に失敗
	  するバグを修正しました。

2009-04-18  Takahiro Kambe  <tacahi>

	* public_html/docs/changes.html: 1.5.2sr4の変更(追加部分)を翻訳し
	  ました。

	* geeklog-1.5.2sr4をマージしました。

2009-04-18  Masuko Koeda  <milk851>

	* 掲示板のアイコンを新しいものに変更しました。
          Windows XP InternetExplorer7の拡大レベル200%時に、
	  ナビゲーションのレイアウト崩れが発生していたのを修正しました。
	  上記の更新をREADMEに追記しました。

2009-04-16  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr3-jp-extended-1.0をリリースします。

2009-04-16  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr2, geeklog-1.5.2sr3の変更箇所の翻訳を改善しました。

2009-04-15  Tetsuko Komma  <ivysoho>

	* インストーラのSpam-Xプラグインの本家の処理変更に対応しました。

2009-04-15  Tetsuko Komma  <ivysoho>

	* geeklog-1.5.2sr3をマージして、セキュリティ修正を行いました。
	  (http://www.geeklog.net/article.php/geeklog-1.5.2sr3)

2009-04-05  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr2-jp-extended-1.0をリリースします。

2009-04-05  Tetsuko Komma  <ivysoho>

	* geeklog-1.5.2sr2のセキュリティ修正を行いました。
	  (http://www.geeklog.net/article.php/geeklog-1.5.2sr2)

2009-04-04  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr1-jp-extended-1.0をリリースします。

2009-04-02  Takahiro Kambe  <tacahi>

	* filemgmtプラグイン: オリジナルから内容が変わってしまっていた、
	  2つの画像ファイルを元の内容に戻しました。

2009-04-01  mystral-kk <mystral-kk>

	* サイトマッププラグインをバージョン1.1.5に更新しました。

2009-04-01  Tetsuko Komma  <ivysoho>

	* 携帯用テーマの掲示板プラグイン(forum)テンプレートを最新版にしました。

2009-04-01  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2sr1のマージに伴い、日本語バージョンを0.0.99とし
	  ました。

2009-03-31  Tetsuko Komma  <ivysoho>

	* docs/changes.htmlのsr1部の翻訳と，docs/history.htmlをsr1に
	  対応させました。

2009-03-31  mystral-kk <mystral-kk>

	* ファイル管理(filemgmt)プラグインで、RSSが日付の新しい順に出力されない
	  バグ(Issue #64)に対処しました。

2009-03-31  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2とgeeklog-1.5.2sr1の間の変更をマージしました。
	  これはセキュリティ修正を含みます。
	  (http://www.geeklog.net/article.php/geeklog-1.5.2sr1)

2009-03-29  mystral-kk <mystral-kk>

	* precheck（インストール前診断用スクリプト）を追加しました。

2009-03-28  mystral-kk <mystral-kk>

	* Issue#49によりよく対応しました。

2009-03-28  Yoshinori Tahara  <dengen>

	* mycaljpプラグインをバージョン2.0.6に更新しました。
	  Auge Bangさんが制作された、「mycaljp専用Black Theme」を同梱しました。
	  Geeklog1.5以降で記事のイントロ表示した際に日付が現在の日付になってし
	  まう問題を修正しました。

2009-03-25  mystral-kk <mystral-kk>

	* トラックバックの送信に失敗するバグ(Issue #61)を修正しました。

2009-03-21  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2-jp-extended-1.0をリリースします。

	* 本ファイルの私のアカウント名が不注意で誤っていたのを修正しました。

2009-03-14  Takahiro Kambe  <tacahi>

	* 些細な(動作上の違いのない) trunk/geeklog-1-jp と異るファイルを
	  同一にしました。

2009-03-12  Masuko Koeda  <milk851>

	* フッタ部分、ページの先頭へ戻るのa要素の幅を
          px指定からem指定に修正しました。

2009-03-10  Takahiro Kambe  <tacahi>

	* Geeklog 1.5.2のマージの結果として、日本語リリースのバージョン番号を
	  0.0にリセットしました。

	* Geeklog 1.5.2のマージの洩れを修正しました。

2009-03-10  mystral-kk <mystral-kk>

	* custom_mail_jp.phpをGeeklog-1.5.2に対応させました。

2009-03-10  im-ltd  <tatsumi.imai>

	* custom_cellular.phpにgeeklog-1-jpのr1223とr1232の修正(いずれも
	  mystral-kkさん)を取り込みました。
	  現時点でgeeklog-1-jpと同期しています。

2009-03-07  Masuko Koeda  <milk851>

	* バージョン表記を間違っていたので訂正しました。

2009-03-06  Masuko Koeda  <milk851>

	* 2月8日リリース後に追加修正をしているので、
          バージョンを2.3.1に上げました。
          2月8日リリース後の追加修正分は、Ver2.3.1としてREADMEの更新履歴に
          記載しました。
          ProfessionalCSSに修正等をしたファイルリストは、不必要と判断し
          READMEからを削除しました。

2009-03-04  mystral-kk <mystral-kk>

	* Wikiスタイルで文字化けする問題(Issue #49)に対応しました。

2009-02-26  mystral-kk <mystral-kk>

	* public_html/docs内の翻訳を1.5.2に更新しました。

2009-02-21  Masuko Koeda  <milk851>

	* WAIproCSSのページの先頭へ戻るのアイコンに一部のブラウザで下線が付いて
          いたのでfooter.thtmlに記述していたimgエレメントを削除し、CSSでa要素に
	  背景として指定しました。
          その変更をREADMEに追記しました。

2009-02-19  Tetsuko Komma  <ivysoho>

	* 携帯テーマmobile,mobile_3gのヘッダを修正して，Googleで検索するとGWT
	  (Google Wireless Transcoder/Google Mobile Proxy)が、せっかくのケー
	  タイハックを無視して勝手にケータイ用に変換してしまう不具合を解消し
	  ました。

2009-02-15  Masuko Koeda  <milk851>

	* WAIproCSSのtdタグをpaddin:2pxに修正しました。(余白を追加)
	  WAIproCSSのdiv#centerblocksにpadding:0.45emを追加(余白を追加)しまし
	  た。
	  div#centerblocksに余白を追加した事に伴い、
	  中央ブロックの幅を変更しました。
	  余白の初期化を変更しました。(ユニバーサルセレクタでの初期化をやめ
	  必要なセレクタのみ初期化)
	  掲示板でオンラインユーザーの名前の色を黒文字から白文字に変更
	  したのを元に戻しました。(黒文字に戻しました)
	  背景画像/navbar/images/tabrightI.gifと/navbar/images/tabrightJ.gif
	  を幅の大きい物に差し替えました。
	  WAIproCSSのREADMEにこれまでの変更点を追記しました。

2009-02-15  Yoshinori Tahara  <dengen>

	* calendarjpプラグインをバージョン1.0.7に更新しました。
	  calendarプラグインのバージョン1.0.3の変更をマージしました。
	  ナビゲーションバーの操作で常に全体カレンダを表示してしまう問題を修正
	  しました。
	  カレンダでの年月日及び時間の選択が、イベントエディタにおいて初期値と
	  して入力されるようにしました。
	  HTMLコードの適正化を実施しました。

2009-02-14  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2(リリース)をマージしました。

2009-02-13  Masuko Koeda  <milk851>

	* WAIproCSSでは、マウスオーバー時背景色を黄色に設定しているので
	  掲示板のマウスオーバー時、白文字ではコントラストが不十分に
	  なってしまう為文字色を黒に修正しました。
	  掲示板でオンラインユーザーの名前の色を黒文字から白文字に変更しました。
	  WAIproCSS/css/plugin/forum.cssから
	  .codeblock
	  .quotemain
	  div .php
	  div .html
	  div .css
	  以外の記述をWAIproCSS/css/compatible.cssに移動させました。

2009-02-12  Masuko Koeda  <milk851>

	* WAIproCSSのtdタグにpaddin-right:2px追記しました。(余白を追加)

2009-02-12  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2rc1のマージからpublic_html/docs/changed-filesが
	  もれていたのを更新しました。

2009-02-11  Yoshinori Tahara  <dengenp>

	* IE8で、ProfessionalCSSのカラムレイアウト変更ができない問題を修正
	  しました。
	  IE8で、WAIproCSSのカラムレイアウト変更ができない問題を修正しました。

2009-02-11  Yoshinori Tahara <dengen>

	* forumプラグインをバージョンJPr4.2に更新しました。
	  オリジナル版のversion 2.7.2をマージ（セキュリティ対策）しました。
	  HTMLコードの適正化を実施（ほぼ達成）しました。
	  印刷用ページを改善しました。
	  その他、微調整。

2009-02-08  Takahiro Kambe  <tacahi>

	* geeklog-1.5.2rc1をマージしました。

2009-02-07  Takahiro Kambe  <tacahi>

	* geeklog-1.5.1-jp-extended-1.3をリリースします。
	  geeklog-1.5.1-jp-1.3に合わせて，1.2は欠番とすることにしました。

2009-02-05  Masuko Koeda  <milk851>

	* WAIproCSSのREADMEに確認したプラウザを1つ追記しました。

2009-01-29  Masuko Koeda  <milk851>

	* WAIproCSSのコメント部分左に余白を入れました。
	  システムメッセージの外側左右に余白を入れました。
	  検索結果の見出し左に余白を入れました。
	  アンケートの結果を中央ブロックで表示した際、
	  アンケート結果部分左右に余白を入れました。
	  記事内の左右の余白を広げました。
	  カレンダ管理のイベント削除ページ上部に左余白を入れました。
	  管理画面で表示されなくなっていたアイコンのgif画像を追加し、
	  アイコンが表示されるようにしました。
	  READMEに更新履歴を追記しました。

2009-01-28  Masuko Koeda  <milk851>

	* WAIproCSSのcustom.sample.cssの説明文を訂正しました。

2009-01-27  Masuko Koeda  <milk851>

	* WAIproCSSのREADMEを修正しました。
	  WAIproCSSのデザイン変更に伴い、custom.sample.cssを修正しました。

2009-01-27  Tetsuko Komma  <ivysoho>

	* WAIproCSSの掲示板プラグイン(forum)でgif形式のアイコンを追加しました。
	  WAIproCSSのヘッダのh1タグのコメント部を改善しました。
	  WAIproCSSのREADMEにこれまでの変更点を追記しました。

2009-01-26  Tetsuko Komma  <ivysoho>

	* 掲示板プラグイン(forum)の，IEでスクロールバーが表示される不具合に
	  テーマprofessional, ProfessionalCSS, WAIproCSSに対応させました。

2009-01-25  Tetsuko Komma  <ivysoho>

	* 言語ファイルjapanese_utf-8.phpの「powered by」を「Powered by」に
	  変更しました。

2009-01-25  Masuko Koeda  <milk851>

	* 中央ブロックの縦のボーダー(左右ボーダー)とフッタの横のボーダーの
	  間にある1pxの隙間をなくしました。
	  システムメッセージの背景色をデザインに合わせて変更しました。

2009-01-21  Masuko Koeda  <milk851>

	* WAIproCSSのフッタにある「ページの先頭へ戻る」に
	  付けているアイコンをgif形式に変更し、アイコンにも
	  リンクを付ける為、修正しました。
	  forum.css内で設定されている背景色と文字色のコントラストが
	  不足していたので、背景色を変更しました。
	  README概要を今回Macで確認していただいた環境に修正しました。

2009-01-20  Masuko Koeda  <milk851>

	* WAIproCSSの独自に追加していたフッタのリンクをコメントに変更しました。
	  CSSのValidatorを通す為に「ProfessionalCSS」で設定されている
	  word-break:break-allを削除し、その変更をREADMEに追記しました。

2009-01-20  Tetsuko Komma  <ivysoho>

	* WAIproCSSのカラーをグレー系へ。アイコンをデフォルトアイコンを一律
	  2倍にし，pngからgifに変更しました。リンク色をデフォルトに戻しました。

2009-01-18  mystral-kk <mystral-kk>

	* フルネームを表示する」を「はい」にしても、コメントバーでユーザ名
	  が表示されてしまう問題(Issue #52)に対応しました。

2009-01-14  Tetsuko Komma  <ivysoho>

	* 言語ファイルjapanese_utf-8.phpの「Powered By」を「powered by」に
	  変更しました。

2009-01-13  Masuko Koeda  <milk851>

	* WAIproCSSがInternet ExplorerIE6でフッタ部分のページの先頭へ戻る及び
	  validateアイコンが表示されていなかったのを修正しました。

2009-01-12  Masuko Koeda  <milk851>

	* WAIproCSSがWindows Internet Explorer、Opera、Firefox、Google Chromeで
	  文字サイズ縮小時にレイアウトが崩れていたのを修正しました。

2009-01-09  Yoshinori Tahara <dengen>

	* custommenuプラグインをバージョン0.4.2に更新しました。
	  掲示板プラグイン（forum）と併用した場合に、掲示板の「最新の投稿」が
	  表示されなくなる問題に対応しました。

2009-01-08  mystral-kk <mystral-kk>

	* 携帯の記事編集の対応(2008-11-13)で使用されている正規表現を一部修正
	  しました。

2009-01-04  Yoshinori Tahara <dengen>

	* custommenuプラグインをバージョン0.4.1に更新しました。
	  PHPモードで、ID、クラス名、子メニューエントリの配列を設定できるよう
	  にしました。
	  メニューアイテムの編集におけるバリデーションを強化しました。
	  0.4.0以降へのバージョンアップが正常に行えない問題に対応しました。
	  メニューアイテムIDの変更に伴い親アイテムIDが更新されない問題に対応
	  しました。
	  テンプレートとCSSを一部修正しました。
	  説明書（readme_jp.thml, readme_jp_1.5.html）を充実させました。

2008-12-26  mystral-kk <mystral-kk>

	* Dataproxyプラグイン、サイトマッププラグインを共にバージョン
	  1.1.4に更新し、Googleサイトマップに静的ページのデータが出力
	  されていなかったバグに対処しました。

2008-12-24  Yoshinori Tahara <dengen>

	* custommenuプラグインをバージョン0.4.0に更新しました。
	  多階層メニューや画像を使ったメニューに対応する独自のメニューレンダ
	  ラを搭載しました。
	  templatesの配置場所をpublic_html/customnenu下へ移しました。
	  カスタムメニュー管理画面の表示に関するHTMLの不正を修正しました。
	  アイテムリストでのアイテム移動と有効・無効の設定操作にCSRF対策を
	  施しました。

2008-12-21  Tetsuko Komma  <ivysoho>

	* 言語ファイルjapanese_utf-8.phpの「アカウント情報表示」「記事を送る」
	  のメール関連の表記を修正しました。

2008-12-14  Tetsuko Komma  <ivysoho>

	* テーマWAIproCSS（アクセシビリティ対応テーマ）を追加しました。

2008-12-13  Yoshinori Tahara <dengen>

	* custommenuプラグインをバージョン0.3.0に更新しました。
	  URLの照合機能を追加しました。URLにマッチしたメニューアイコンの
	  スタイルを変更することなどが可能になります。

2008-12-10  Yoshinori Tahara <dengen>

	* custommenuプラグインをバージョン0.2.3に更新しました。
	  インストール・アンインストール時に必要なコンフィギュレーションの
	  設定を、自動的に行うようにしました。
	  多言語切り替え機能への対応を強化しました。

2008-12-06  Tetsuko Komma  <ivysoho>

	* テーマProfessionalCSSの３つの記事表示テンプレートファイルに対して
	  テーマ変数{story_introtext}から，冒頭文と本文の間にBRタグを入れない
	  {story_text_no_br}に変更しました。

2008-12-05  Tetsuko Komma  <ivysoho>

	* テーマProfessionalCSSを修正しました。
	  ProfessionalCSS/css/common.css
	  bodyセレクタ fontプロパティにIE7用ハック(文字サイズ拡大対応)追加
	  css/admin/lists.css
	  ブロック管理画面のアイコンでのボーダー非表示

2008-11-29  Takahiro Kambe  <tacahi>

	* geeklog-1.5.1-jp-extended-1.1をリリースします。
	  タグgeeklog-1.5.1-jp-extended-1.1を作成した後で，記述忘れに
	  気がついたため、改めてタグgeeklog-1.5.1-jp-extended-1.1aを作成し、
	  配布ファイル名をタグ名に合わせます。

2008-11-28  mystral-kk <mystral-kk>
	* LocalizeGeeklogクラスにおいて、日本語化メッセージで閉じタグが
	  抜けていたのを修正しました。

2008-11-26  hirorongl <hirorongl>

	* トラックバックできない不具合の対応をしました。
	  各テーマの admin/trackback/trackbackeditor.thtml に、セキュリティ
	  トークンを埋め込んでいます。

2008-11-25  Tetsuko Komma  <ivysoho>

	* テーマProfessionalCSSのfeaturedstorytext.thtml,storytext.thtmlで，
	  {comments_with_count}部の二重リンクを削除しました。

2008-11-24  Tetsuko Komma  <ivysoho>

	* 静的ページプラグインの言語ファイルに，$PLG_staticpages_MESSAGE19，
	  $PLG_staticpages_MESSAGE20を追加しました。(本家版2008.10.03追加分)

2008-11-22  Tetsuko Komma  <ivysoho>

	* 静的ページをセンターエリアに表示する際の，編集リンクをテンプレート
	  /plugins/staticpages/templates/centerblock.thtmlに追加しました。

2008-11-22  Tetsuko Komma  <ivysoho>

	* 言語ファイルjapanese_utf-8.phpの句点の処理の抜けがあり，英語版
	  english_utf-8.phpと統一させました。他，翻訳漏れを追加しました。

2008-11-18  Tetsuko Komma  <ivysoho>

	* テーマmobile,mobile_3g,ProfessionalCSSの各ログイン用テンプレート
	  （loginform.thtml）に，OpenIDログイン変数{openid_login}が抜けて
	  いたので追加しました。

2008-11-15  mystral-kk <mystral-kk>

	* custom/phpblock_lastarticles.phpを多言語モードに対応させました。

2008-11-13  hirorongl <hirorongl>

	* 携帯の記事編集の対応 /system/classes/story.class.php の
	  replaceImages の中で文字列マッチを str_replace から
	  preg_replace に置き換えました。

2008-11-13  Tetsuko Komma  <ivysoho>

	* forumプラグインのIEにおけるセンターブロック表示で，コメントアウト
	  終了タグが表示される不具合を対策しました。

2008-11-11  hirorongl <hirorongl>

	* CMT_getComment内で携帯の場合にコメントのコメント用リンクURL
	  に含まれるtitleの文字列をsjis-winに変換しました。

2008-11-09  hirorongl <hirorongl>

	* ProfessionalCSSの functions.php へ include対策を行いました。

2008-11-01  mystral-kk <mystral-kk>

	* インストール時にエラーが発生した場合、COM_errorLogが未定義のため
	  インストールが中断するエラーに対応しました。

2008-11-01  Tetsuko Komma  <ivysoho>

	* テーマmobile,mobile_3gのfunctions.phpに掲示板プラグイン用のコードを
	  追加しました。

2008-10-29  hirorongl <hirorongl>

	* 携帯対応でrefreshにLocationヘッダの使用の有無を制御できるように
	  しました。(デフォルトはLocationヘッダを使用)

2008-10-28  hirorongl <hirorongl>

	* 携帯対応でのCOM_refreshのハック漏れを修正しました。

2008-10-28  Tetsuko Komma  <ivysoho>

	* テーマmobile,mobile_3gのheader.thtml：{welcome_msg}を日本語対応版
	  {welcome_msg_jp}へ変更しました。

2008-10-24  mystralkk  <mystralkk>

	* phpblock_lastarticles.phpで話題制御ができない問題を修正しました。

2008-10-23  Yoshinori Tahara <dengen>

	* calendarjpプラグインで、一般ユーザーが全体イベントを投稿する場合に、
	  calendarプラグインへ投稿されてしまう問題を修正しました。

2008-10-22  Takahiro Kambe  <tacahi>

	* geeklog-1.5.1-jp-extended-1.0をリリースします。

2008-10-19  Yoshinori Tahara <dengen>

	* filemgmtプラグイン: ファイルリストで日付が表示されない問題を修正
	  しました。

2008-10-19  Tetsuko Komma  <ivysoho>

	* 携帯テーマ　mobile, mobile_3gのfunctions.php header.thtmlを修正。
	  XHTMLモードチェックの追加やヘッダコードの追加を行いました。

2008-10-19  Yoshinori Tahara <dengen>

	* calendarjpプラグイン: まれにcalendarプラグインからデータを正常に
	  引き継げない場合があることなどに対応しました。

2008-10-14  Takahiro Kambe  <tacahi>

	* geeklog-1.5.1-jp-extended-0.0をリリースします。

2008-10-14  Tetsuko Komma  <ivysoho>

	* テーマ変数'start_storylink_anchortag'のタグに閉じタグ'>'が抜けて
	  いたのを修正しました。本家は対応済み。

		system/lib-story.php

2008-10-12  Takahiro Kambe  <tacahi>

	* geeklog-1.5.0から1.5.1への変更をマージしました。

